package response

type PageResult struct {
	List     interface{} `json:"list"`
	Total    int64       `json:"total"`
	Page     int         `json:"page"`
	PageSize int         `json:"pageSize"`
}

type EnvDev struct {
	Sn       string `json:"sn"`       //设备SN
	Address  string `json:"Address"`  //设备地址
	Name     string `json:"name"`     //设备名称
	TaskTime uint   `json:"taskTime"` //设备采集周期,单位分钟
	WaitTime uint   `json:"waitTime"` //等待时间,单位秒
	SerialId int8   `json:"serialId"` //串口id
}

type LampDev struct {
	Sn       string `json:"sn"`       //设备SN
	Address  string `json:"address"`  //设备地址
	Name     string `json:"name"`     //设备名称
	RadarId  int8   `json:"radarId"`  //雷达id(用于在雷达监测到来车后，控制雷达在的那一路的单灯控制器)
	SerialId int8   `json:"serialId"` // 串口id
}

type DeviceFileData struct {
	EnvDev  []EnvDev  `json:"envDev"`
	LampDev []LampDev `json:"lampDev"`
}
